## apt 2.9.5.0nosystemd1

=== CMakeLists.txt ===
# Copyright (C) 2009, 2016 Julian Andres Klode <jak@debian.org>.
# Licensed under the same terms as APT; i.e. GPL 2 or later.

# set minimum version
cmake_minimum_required(VERSION 3.13)
project(apt)
# Generic header locations
include_directories(${PROJECT_BINARY_DIR}/include)


enable_testing()

option(REQUIRE_MERGED_USR "Require merged-usr." ON)
option(WITH_DOC "Build all documentation." ON)
include(CMakeDependentOption)
cmake_dependent_option(WITH_DOC_MANPAGES "Force building manpages." OFF "NOT WITH_DOC" OFF)
cmake_dependent_option(WITH_DOC_GUIDES "Force building guides." OFF "NOT WITH_DOC" OFF)
cmake_dependent_option(WITH_DOC_DOXYGEN "Force building doxygen documentation." OFF "NOT WITH_DOC" OFF)
cmake_dependent_option(WITH_DOC_EXAMPLES "Force building example configurations." OFF "NOT WITH_DOC" OFF)
option(WITH_TESTS "Build tests" ON)
option(USE_NLS "Localisation support." ON)

set(CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/CMake")

# Add coverage target
set(CMAKE_CXX_FLAGS_COVERAGE "-g -fprofile-arcs -ftest-coverage")
set(CMAKE_EXE_LINKER_FLAGS_COVERAGE "-lgcov")
set(CMAKE_SHARED_LINKER_FLAGS_COVERAGE "-lgcov")

# Work around bug in GNUInstallDirs
if (EXISTS "/etc/debian_version")
  set(CMAKE_INSTALL_LIBEXECDIR "lib")
endif()

# Include stuff
include(Misc)
include(CheckIncludeFiles)
include(CheckFunctionExists)
include(CheckStructHasMember)
include(GNUInstallDirs)
include(TestBigEndian)
find_package(Threads REQUIRED)
find_package(LFS REQUIRED)
find_package(Iconv REQUIRED)

find_package(Perl REQUIRED)

find_program(TRIEHASH_EXECUTABLE NAMES triehash)

if (NOT TRIEHASH_EXECUTABLE)
  message(FATAL_ERROR "Could not find triehash executable")
endif()

if(USE_NLS)
  find_package(Intl REQUIRED)
  link_libraries(${Intl_LIBRARIES})
  include_directories(${Intl_INCLUDE_DIRS})
endif()

# Add large file support
add_compile_options(${LFS_COMPILE_OPTIONS})
add_definitions(${LFS_DEFINITIONS})
link_libraries(${LFS_LIBRARIES})

# Set compiler flags
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_VISIBILITY_INLINES_HIDDEN 1)

add_optional_compile_options(Wall)
add_optional_compile_options(Wextra)
add_optional_compile_options(Wcast-align)
add_optional_compile_options(Wlogical-op)
add_optional_compile_options(Wredundant-decls)
add_optional_compile_options(Wmissing-declarations)
add_optional_compile_options(Wunsafe-loop-optimizations)
add_optional_compile_options(Wctor-dtor-privacy)
add_optional_compile_options(Wdisabled-optimization)
add_optional_compile_options(Winit-self)
add_optional_compile_options(Wmissing-include-dirs)
add_optional_compile_options(Wnoexcept)
add_optional_compile_options(Wsign-promo)
add_optional_compile_options(Wundef)
add_optional_compile_options(Wdouble-promotion)
add_optional_compile_options(Wsuggest-override)
add_optional_compile_options(Werror=suggest-override)
add_optional_compile_options(Werror=return-type)
# apt-ftparchive dependencies
find_package(Berkeley REQUIRED)
if (BERKELEY_FOUND)
  set(HAVE_BDB 1)
endif()

find_package(GnuTLS)
if (GNUTLS_FOUND)
  set(HAVE_GNUTLS 1)
endif()

# (De)Compressor libraries
find_package(ZLIB REQUIRED)
if (ZLIB_FOUND)
  set(HAVE_ZLIB 1)
endif()


find_package(BZip2 REQUIRED)
if (BZIP2_FOUND)
  set(HAVE_BZ2 1)
endif()

find_package(LZMA REQUIRED)
if (LZMA_FOUND)
  set(HAVE_LZMA 1)
endif()


find_package(LZ4 REQUIRED)
if (LZ4_FOUND)
  set(HAVE_LZ4 1)
endif()

find_package(ZSTD)
if (ZSTD_FOUND)
  set(HAVE_ZSTD 1)
endif()


find_package(Udev)
if (UDEV_FOUND)
  set(HAVE_UDEV 1)
endif()

find_package(Systemd)
if (SYSTEMD_FOUND)
  set(HAVE_SYSTEMD 1)
endif()

find_package(SECCOMP)
if (SECCOMP_FOUND)
  set(HAVE_SECCOMP 1)
endif()

find_package(GCRYPT REQUIRED)
find_package(XXHASH REQUIRED)

# Mount()ing and stat()ing and friends
check_symbol_exists(statfs sys/vfs.h HAVE_VFS_H)
check_include_files(sys/params.h HAVE_PARAMS_H)
check_symbol_exists(statfs sys/mount.h HAVE_MOUNT_H)
if (NOT HAVE_VFS_H AND NOT HAVE_MOUNT_H)
  message(FATAL_ERROR "Can find neither statvfs() nor statfs()")
endif()

check_function_exists(statvfs HAVE_STATVFS)
if (NOT HAVE_STATVFS)
  configure_file(CMake/statvfs.h.in ${PROJECT_BINARY_DIR}/include/sys/statvfs.h COPYONLY)
endif()

CHECK_STRUCT_HAS_MEMBER("struct statfs" f_type sys/vfs.h HAVE_STRUCT_STATFS_F_TYPE)

# Other checks
check_function_exists(getresuid HAVE_GETRESUID)
check_function_exists(getresgid HAVE_GETRESGID)
check_function_exists(setresuid HAVE_SETRESUID)
check_function_exists(setresgid HAVE_SETRESGID)
check_function_exists(ptsname_r HAVE_PTSNAME_R)
check_function_exists(timegm HAVE_TIMEGM)
test_big_endian(WORDS_BIGENDIAN)

# FreeBSD
add_definitions(-D_WITH_GETLINE=1)

CHECK_INCLUDE_FILES(machine/endian.h HAVE_MACHINE_ENDIAN_H)
CHECK_INCLUDE_FILES(sys/endian.h HAVE_SYS_ENDIAN_H)
CHECK_INCLUDE_FILES(endian.h HAVE_ENDIAN_H)
if (NOT HAVE_ENDIAN_H)
  if (HAVE_MACHINE_ENDIAN_H OR HAVE_SYS_ENDIAN_H)
    configure_file(CMake/endian.h.in ${PROJECT_BINARY_DIR}/include/endian.h)
  else()
    message(FATAL_ERROR "Cannot find endian.h")
  endif()
endif()


include(CheckTypeSize)
set(CMAKE_EXTRA_INCLUDE_FILES "signal.h")
check_type_size("sig_t" SIG_T LANGUAGE "CXX")
check_type_size("sighandler_t" SIGHANDLER_T LANGUAGE "CXX")
set(CMAKE_EXTRA_INCLUDE_FILES)
if (NOT HAVE_SIGHANDLER_T)
  if (HAVE_SIG_T)
    add_definitions(-Dsighandler_t=sig_t)
  else()
    message(FATAL_ERROR "Platform defines neither sig_t nor sighandler_t")
  endif()
endif()

# Handle resolving
check_function_exists(res_ninit HAVE_LIBC_RESOLV)
if(HAVE_LIBC_RESOLV)
    set(RESOLV_LIBRARIES)
else()
    set(RESOLV_LIBRARIES -lresolv)
endif()

# Configure some variables like package, version and architecture.
set(PACKAGE ${PROJECT_NAME})
set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
set(PACKAGE_VERSION "2.9.5")
string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})

if (NOT DEFINED DPKG_DATADIR)
  execute_process(COMMAND ${PERL_EXECUTABLE} -MDpkg -e "print $Dpkg::DATADIR;"
                  OUTPUT_VARIABLE DPKG_DATADIR_CMD OUTPUT_STRIP_TRAILING_WHITESPACE
                  COMMAND_ERROR_IS_FATAL ANY)
  message(STATUS "Found dpkg data dir: ${DPKG_DATADIR_CMD}")
  set(DPKG_DATADIR "${DPKG_DATADIR_CMD}" CACHE PATH "dpkg data directory")
endif()
if (NOT DEFINED COMMON_ARCH)
  execute_process(COMMAND dpkg-architecture -qDEB_HOST_ARCH
                  OUTPUT_VARIABLE COMMON_ARCH OUTPUT_STRIP_TRAILING_WHITESPACE
                  COMMAND_ERROR_IS_FATAL ANY)
endif()
if (NOT DEFINED ROOT_GROUP)
  execute_process(COMMAND id -gn root
                  OUTPUT_VARIABLE ROOT_GROUP OUTPUT_STRIP_TRAILING_WHITESPACE
                  COMMAND_ERROR_IS_FATAL ANY)
  message(STATUS "Found root group: ${ROOT_GROUP}")
endif()
set(ROOT_GROUP "${ROOT_GROUP}" CACHE STRING "Group of root (e.g.: wheel or root)")

# Set various directories
set(STATE_DIR "${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/lib/apt" CACHE PATH "Your /var/lib/apt")
set(CACHE_DIR "${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/cache/apt" CACHE PATH "Your /var/cache/apt")
set(LOG_DIR "${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/log/apt" CACHE PATH "Your /var/log/apt")
set(CONF_DIR "${CMAKE_INSTALL_FULL_SYSCONFDIR}/apt" CACHE PATH "Your /etc/apt")
set(LIBEXEC_DIR "${CMAKE_INSTALL_FULL_LIBEXECDIR}/apt" CACHE PATH "Your /usr/libexec/apt")
set(BIN_DIR "${CMAKE_INSTALL_FULL_BINDIR}")


# Configure our configuration headers (config.h and apti18n.h)
configure_file(CMake/config.h.in ${PROJECT_BINARY_DIR}/include/config.h)
configure_file(CMake/apti18n.h.in ${PROJECT_BINARY_DIR}/include/apti18n.h)

# Add our subdirectories
add_subdirectory(vendor)
if (NOT USE_SYSTEM_APTPKG)
add_subdirectory(apt-pkg)
add_subdirectory(apt-private)
endif()
add_subdirectory(cmdline)
add_subdirectory(completions)
add_subdirectory(doc)
add_subdirectory(dselect)
add_subdirectory(ftparchive)
add_subdirectory(methods)
add_subdirectory(test)

if (USE_NLS)
add_subdirectory(po)
endif()

if(TARGET update-po AND TARGET update-po4a)
# Link update-po4a into the update-po target
add_dependencies(update-po update-po4a)
endif()

# Create our directories.
install_empty_directories(
  ${CONF_DIR}/apt.conf.d
  ${CONF_DIR}/auth.conf.d
  ${CONF_DIR}/preferences.d
  ${CONF_DIR}/sources.list.d
  ${CONF_DIR}/trusted.gpg.d
  ${CACHE_DIR}/archives/partial
  ${STATE_DIR}/lists/partial
  ${STATE_DIR}/mirrors/partial
  ${STATE_DIR}/periodic
  ${LOG_DIR}
)

=== debian/changelog ===
apt (2.9.5.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Fri, 14 Jun 2024 15:23:43 +0300

apt (2.9.5) unstable; urgency=medium

  [ Julian Andres Klode ]
  * CI: Set /bin/sh shell for travis user, so flock -c works
  * Fix test cases for non-amd64 architectures
  * edsp: Parse source version from the Source-Version field
  * Check gpgv --dump-options for --assert-pubkey-algo support.
    Thanks to Justus Winter for the idea
  * Make the failure mode for non-executable tests stronger
  * solver3: Do not dump sizes that are clearly pointers
  * solver3: Group work items
  * solver3: Remove no longer necessary comparisons
  * solver3: Order obsolete choices last

  [ Noah Meyerhans ]
  * Fix spelling of @SNAPSHOTID@ in apt.conf.5.xml (Closes: #1072189)

  [ Frans Spiesschaert ]
  * Dutch program translation update (Closes: #1072493)
  * Dutch manpages translation update (Closes: #1072494)

 -- Julian Andres Klode <jak@debian.org>  Thu, 13 Jun 2024 21:04:40 +0200

## apt 2.9.6

=== debian/changelog ===
apt (2.9.6) unstable; urgency=medium

  * solver3: Do not accidentally promote Replaces and Enhances to
    dependencies; this fixes a regression in 2.9.5 when we added
    code to promote currently satisfied Suggests to Depends.
  * solver3: Unmark packages before setting any in ToDepCache
  * solver3: Refactor (rewrite) FromDepCache() (Closes: #1071519)
    This was intended to not have any behavioural changes, but verifying
    the things that changed actually showed that they fixed subtle bugs.
  * solver3: Consider packages as obsolete and not versions; this makes things
    a bit easier to reason about.
  * solver3: Only demote obsolete packages in choices for upgrades; this
    fixes packages being needlessly replaced in apt install.

 -- Julian Andres Klode <jak@debian.org>  Tue, 02 Jul 2024 22:20:36 +0200

## apt 2.9.6.0nosystemd1

=== CMakeLists.txt ===
--- 
+++ 
@@ -206,7 +206,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "2.9.5")
+set(PACKAGE_VERSION "2.9.6")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== vendor/CMakeLists.txt ===
# Determine the current vendor, export to CURRENT_VENDOR
if (NOT DEFINED CURRENT_VENDOR)
    execute_process(COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/getinfo current
                    OUTPUT_VARIABLE CURRENT_VENDOR_OUT OUTPUT_STRIP_TRAILING_WHITESPACE
                    COMMAND_ERROR_IS_FATAL ANY)

    set(CURRENT_VENDOR "${CURRENT_VENDOR_OUT}" CACHE STRING "Select the system vendor")
    message(STATUS "Detected vendor: ${CURRENT_VENDOR_OUT}")
else()
    message(STATUS "Detected vendor: ${CURRENT_VENDOR} (cached)")
endif()

# Handle sources.list example
if (WITH_DOC OR WITH_DOC_EXAMPLES)
add_vendor_file(OUTPUT sources.list
                INPUT "${CURRENT_VENDOR}/sources.list.in"
                MODE 644
                VARIABLES sourceslist-list-format
                          debian-stable-codename
                          debian-oldstable-codename
                          debian-testing-codename
                          ubuntu-codename
                          current-codename)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/sources.list
        DESTINATION ${CMAKE_INSTALL_DOCDIR}/examples)
endif()

# Handle apt.conf snippets
file(GLOB conffiles ${CURRENT_VENDOR}/apt.conf-*)
foreach(file ${conffiles})
    file(RELATIVE_PATH confname ${CMAKE_CURRENT_SOURCE_DIR}/${CURRENT_VENDOR}/ ${file})
    string(REPLACE "apt.conf-" "" confname "${confname}")
    install(FILES "${file}"
            DESTINATION "${CMAKE_INSTALL_SYSCONFDIR}/apt/apt.conf.d/"
            RENAME "${confname}")
endforeach()

if (EXISTS "${CURRENT_VENDOR}/CMakeLists.txt")
    add_subdirectory(${CURRENT_VENDOR})
endif()

=== debian/changelog ===
apt (2.9.6.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Wed, 03 Jul 2024 16:52:22 +0300

## apt 2.9.7.0nosystemd1

=== CMakeLists.txt ===
--- 
+++ 
@@ -206,7 +206,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "2.9.6")
+set(PACKAGE_VERSION "2.9.7")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (2.9.7.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Tue, 30 Jul 2024 17:04:10 +0300

apt (2.9.7) unstable; urgency=medium

  [ sid ]
  * Show installed version (not candidate version) while removing a package

  [ David Kalnischkies ]
  * Parse snapshot option for apt show/list (Closes: #1075819)

  [ Frans Spiesschaert ]
  * Dutch program translation update (Closes: #1075874)
  * Dutch manpages translation update (Closes: #1075875)

  [ Michał Kułach ]
  * Polish program translation update (Closes: #1075975)

  [ Julian Andres Klode ]
  * worker: Add an audit level to log audit messages
  * gpgv: Add a LaterWorthless level, a SoonWorthless but at 'audit' level
  * gpgv: Add IsAssertedPubKeyAlgo() function
  * Only revoke weak RSA keys for now, add 'next' and 'future' levels
    (LP: #2073126)
  * solver3: Refactor Reason.Pkg()/Reason.Ver() use with iterator
  * Add note that redundant 'CLI interface' is intentional

 -- Julian Andres Klode <jak@debian.org>  Tue, 30 Jul 2024 13:19:24 +0900

## apt 2.9.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -206,7 +206,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "2.9.7")
+set(PACKAGE_VERSION "2.9.8")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== apt-pkg/CMakeLists.txt ===
# Include apt-pkg directly, as some files have #include <system.h>
include_directories(${PROJECT_BINARY_DIR}/include/apt-pkg)

file(MAKE_DIRECTORY ${PROJECT_BINARY_DIR}/include/apt-pkg/)
execute_process(COMMAND grep -v "^#" "${CMAKE_CURRENT_SOURCE_DIR}/tagfile-keys.list"
		OUTPUT_FILE "${CMAKE_CURRENT_BINARY_DIR}/tagfile-keys.clean.list"
		COMMAND_ERROR_IS_FATAL ANY)
execute_process(COMMAND ${TRIEHASH_EXECUTABLE}
                        --ignore-case
                         --header ${PROJECT_BINARY_DIR}/include/apt-pkg/tagfile-keys.h
                         --code ${CMAKE_CURRENT_BINARY_DIR}/tagfile-keys.cc
                         --enum-class
                         --enum-name pkgTagSection::Key
                         --function-name pkgTagHash
                         --include "<apt-pkg/tagfile.h>"
                         --include "<apt-pkg/header-is-private.h>"
                         "${CMAKE_CURRENT_BINARY_DIR}/tagfile-keys.clean.list"
                COMMAND_ERROR_IS_FATAL ANY)
set_property(DIRECTORY APPEND PROPERTY CMAKE_CONFIGURE_DEPENDS "tagfile-keys.list")
set_source_files_properties("${CMAKE_CURRENT_BINARY_DIR}/tagfile-keys.cc" PROPERTIES COMPILE_DEFINITIONS APT_COMPILING_APT)


# Set the version of the library
execute_process(COMMAND awk -v ORS=. "/^\#define APT_PKG_M/ {print \$3}"
                COMMAND sed "s/\\.\$//"
                INPUT_FILE ${CMAKE_CURRENT_SOURCE_DIR}/contrib/macros.h
                OUTPUT_VARIABLE MAJOR OUTPUT_STRIP_TRAILING_WHITESPACE
                COMMAND_ERROR_IS_FATAL ANY)
execute_process(COMMAND grep "^#define APT_PKG_RELEASE"
                COMMAND cut -d " " -f 3
                INPUT_FILE ${CMAKE_CURRENT_SOURCE_DIR}/contrib/macros.h
                OUTPUT_VARIABLE MINOR OUTPUT_STRIP_TRAILING_WHITESPACE
                COMMAND_ERROR_IS_FATAL ANY)

message(STATUS "Building libapt-pkg ${MAJOR} (release ${MINOR})")
set(APT_PKG_MAJOR ${MAJOR} PARENT_SCOPE) # exporting for methods/CMakeLists.txt

configure_file(apt-pkg.pc.in ${CMAKE_CURRENT_BINARY_DIR}/apt-pkg.pc @ONLY)

# Definition of the C++ files used to build the library - note that this
# is expanded at CMake time, so you have to rerun cmake if you add or remove
# a file (you can just run cmake . in the build directory)
file(GLOB_RECURSE library "*.cc"  "${CMAKE_CURRENT_BINARY_DIR}/tagfile-keys.cc")
file(GLOB_RECURSE headers "*.h")

# Create a library using the C++ files
add_library(apt-pkg SHARED ${library})
add_dependencies(apt-pkg apt-pkg-versionscript)
# Link the library and set the SONAME
target_include_directories(apt-pkg
                           PRIVATE ${ZLIB_INCLUDE_DIRS}
                                   ${BZIP2_INCLUDE_DIR}
                                   ${LZMA_INCLUDE_DIRS}
                                   ${LZ4_INCLUDE_DIRS}
                                   $<$<BOOL:${ZSTD_FOUND}>:${ZSTD_INCLUDE_DIRS}>
                                   $<$<BOOL:${UDEV_FOUND}>:${UDEV_INCLUDE_DIRS}>
                                   $<$<BOOL:${SYSTEMD_FOUND}>:${SYSTEMD_INCLUDE_DIRS}>
                                   ${ICONV_INCLUDE_DIRS}
                                   $<$<BOOL:${GCRYPT_FOUND}>:${GCRYPT_INCLUDE_DIRS}>
                                   $<$<BOOL:${XXHASH_FOUND}>:${XXHASH_INCLUDE_DIRS}>
)

target_link_libraries(apt-pkg
                      PRIVATE -lutil ${CMAKE_DL_LIBS} ${RESOLV_LIBRARIES}
                             ${CMAKE_THREAD_LIBS_INIT}
                             ${ZLIB_LIBRARIES}
                             ${BZIP2_LIBRARIES}
                             ${LZMA_LIBRARIES}
                             ${LZ4_LIBRARIES}
                             $<$<BOOL:${ZSTD_FOUND}>:${ZSTD_LIBRARIES}>
                             $<$<BOOL:${UDEV_FOUND}>:${UDEV_LIBRARIES}>
                             $<$<BOOL:${SYSTEMD_FOUND}>:${SYSTEMD_LIBRARIES}>
                             ${ICONV_LIBRARIES}
                             $<$<BOOL:${GCRYPT_FOUND}>:${GCRYPT_LIBRARIES}>
                             $<$<BOOL:${XXHASH_FOUND}>:${XXHASH_LIBRARIES}>
)
set_target_properties(apt-pkg PROPERTIES VERSION ${MAJOR}.${MINOR})
set_target_properties(apt-pkg PROPERTIES SOVERSION ${MAJOR})
set_target_properties(apt-pkg PROPERTIES CXX_VISIBILITY_PRESET hidden)
add_version_script(apt-pkg)

# Install the library and the header files
install(TARGETS apt-pkg LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
install(FILES ${headers} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/apt-pkg)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/apt-pkg.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
flatify(${PROJECT_BINARY_DIR}/include/apt-pkg/ "${headers}")

if(CMAKE_BUILD_TYPE STREQUAL "Coverage")
  target_link_libraries(apt-pkg PUBLIC noprofile)
endif()

=== debian/changelog ===
apt (2.9.8) unstable; urgency=medium

  [ Aristo Chen ]
  * Do not return error if `Signed-By` value in source list is empty

  [ Carles Pina i Estany ]
  * Update Catalan translation

  [ Julian Andres Klode ]
  * Fix obsoleted-by handling for experimental in 3.0 solver

 -- Julian Andres Klode <jak@debian.org>  Mon, 12 Aug 2024 16:12:43 +0200

## apt 2.9.8ubuntu0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -206,7 +206,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "2.9.8")
+set(PACKAGE_VERSION "2.9.8ubuntu0.1")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (2.9.8ubuntu0.1) oracular; urgency=medium

  * Fix buffer overflow, stack overflow, exponential complexity in
    apt-ftparchive Contents generation (LP: #2083697)
    - ftparchive: Mystrdup: Add safety check and bump buffer size
    - ftparchive: contents: Avoid exponential complexity and overflows
    - test framework: Improve valgrind support
    - test: Check that apt-ftparchive handles deep paths
  * Workaround valgrind "invalid read" in ExtractTar::Go by moving large
    buffer from stack to heap. The large buffer triggered some bugs in
    valgrind stack clash protection handling.
  * debian/gbp.conf: Point at oracular branch

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 22 Oct 2024 14:54:15 +0200

=== debian/control ===
Source: apt
Section: admin
Priority: required
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: APT Development Team <deity@lists.debian.org>
Uploaders: Michael Vogt <mvo@debian.org>,
           Julian Andres Klode <jak@debian.org>,
           David Kalnischkies <donkult@debian.org>
Rules-Requires-Root: no
Standards-Version: 4.1.1
Build-Depends: dpkg-dev (>= 1.22.5) <!pkg.apt.ci>,
               cmake (>= 3.4),
               debhelper-compat (= 12),
               docbook-xml <!nodoc>,
               docbook-xsl <!nodoc>,
               dpkg-dev (>= 1.20.8),
               gettext (>= 0.12),
               googletest <!nocheck> | libgtest-dev <!nocheck>,
               libbz2-dev,
               libdb-dev,
               libgnutls28-dev (>= 3.4.6),
               libgcrypt20-dev,
               liblz4-dev (>= 0.0~r126),
               liblzma-dev,
               libseccomp-dev (>= 2.4.2) [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x hppa powerpc powerpcspe ppc64 x32],
               libsystemd-dev [linux-any],
               libudev-dev [linux-any],
               libxxhash-dev (>= 0.8),
               libzstd-dev (>= 1.0),
               ninja-build,
               pkg-config,
               po4a (>= 0.34-2) <!nodoc>,
               triehash,
               xsltproc <!nodoc>,
               zlib1g-dev
Build-Depends-Indep: doxygen <!nodoc !pkg.apt.nodoxygen>, graphviz <!nodoc !pkg.apt.nodoxygen>, w3m <!nodoc>
Vcs-Git: https://salsa.debian.org/apt-team/apt.git
Vcs-Browser: https://salsa.debian.org/apt-team/apt

Package: apt
Architecture: any
Depends: base-passwd (>= 3.6.1) | adduser,
         gpgv,
         libapt-pkg6.0t64 (>= ${binary:Version}),
         ${apt:keyring},
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: apt-transport-https (<< 1.5~alpha4~), apt-utils (<< 1.3~exp2~)
Breaks: apt-transport-https (<< 1.5~alpha4~),
        apt-utils (<< 1.3~exp2~),
        aptitude (<< 0.8.10)
Conflicts: apt-verify, libnettle8 (<< 3.9.1-2.2~)
Provides: apt-transport-https (= ${binary:Version})
Recommends: ca-certificates
Suggests: apt-doc,
          aptitude | synaptic | wajig,
          dpkg-dev (>= 1.17.2),
          gnupg | gnupg2 | gnupg1,
          powermgmt-base
Description: commandline package manager
 This package provides commandline tools for searching and
 managing as well as querying information about packages
 as a low-level access to all features of the libapt-pkg library.
 .
 These include:
  * apt-get for retrieval of packages and information about them
    from authenticated sources and for installation, upgrade and
    removal of packages together with their dependencies
  * apt-cache for querying available information about installed
    as well as installable packages
  * apt-cdrom to use removable media as a source for packages
  * apt-config as an interface to the configuration settings
  * apt-key as an interface to manage authentication keys

Package: libapt-pkg6.0t64
Replaces: libapt-pkg6.0
Architecture: any
Multi-Arch: same
Priority: optional
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libapt-pkg6.0 (<< ${source:Version}), appstream (<< 0.9.0-3~), apt (<< 1.6~), aptitude (<< 0.8.9), libapt-inst1.5 (<< 0.9.9~), dpkg (<< 1.20.8)
Recommends: apt (>= ${binary:Version})
Conflicts: libnettle8 (<< 3.9.1-2.2~)
Section: libs
Provides: ${t64:Provides}, libapt-pkg (= ${binary:Version})
Description: package management runtime library
 This library provides the common functionality for searching and
 managing packages as well as information about packages.
 Higher-level package managers can depend upon this library.
 .
 This includes:
  * retrieval of information about packages from multiple sources
  * retrieval of packages and all dependent packages
    needed to satisfy a request either through an internal
    solver or by interfacing with an external one
  * authenticating the sources and validating the retrieved data
  * installation and removal of packages in the system
  * providing different transports to retrieve data over cdrom, ftp,
    http(s), rsh as well as an interface to add more transports like
    tor+http(s) (apt-transport-tor).

Package: apt-doc
Architecture: all
Priority: optional
Depends: ${misc:Depends}
Section: doc
Multi-Arch: foreign
Build-Profiles: <!nodoc>
Description: documentation for APT
 This package contains the user guide and offline guide for various
 APT tools which are provided in a html and a text-only version.

Package: libapt-pkg-dev
Architecture: any
Multi-Arch: same
Priority: optional
Pre-Depends: ${misc:Pre-Depends}
Depends: libapt-pkg (= ${binary:Version}),
         ${misc:Depends}
Section: libdevel
Description: development files for APT's libapt-pkg and libapt-inst
 This package contains the header files and libraries for
 developing with APT's libapt-pkg Debian package manipulation
 library and the libapt-inst deb/tar/ar library.

Package: libapt-pkg-doc
Architecture: all
Priority: optional
Depends: ${misc:Depends}
Section: doc
Multi-Arch: foreign
Build-Profiles: <!nodoc>
Description: documentation for APT development
 This package contains documentation for development of the APT
 Debian package manipulation program and its libraries.
 .
 This includes the source code documentation generated by doxygen
 in html format.

Package: apt-utils
Architecture: any
Depends: apt (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: package management related utility programs
 This package contains some less used commandline utilities related
 to package management with APT.
 .
  * apt-extracttemplates is used by debconf to prompt for configuration
    questions before installation.
  * apt-ftparchive is used to create Packages and other index files
    needed to publish an archive of Debian packages
  * apt-sortpkgs is a Packages/Sources file normalizer.

Package: apt-transport-https
Architecture: all
Multi-Arch: foreign
Depends: apt (>= 1.5~alpha4), ${misc:Depends}
Priority: optional
Section: oldlibs
Description: transitional package for https support
 This is a dummy transitional package - https support has been moved into
 the apt package in 1.5. It can be safely removed.

## apt 2.9.8.0nosystemd1

=== cmdline/CMakeLists.txt ===
# Create the executable tasks
add_executable(apt apt.cc)
add_executable(apt-cache apt-cache.cc)
add_executable(apt-get apt-get.cc)
add_executable(apt-mark apt-mark.cc)
add_executable(apt-config apt-config.cc)
add_executable(apt-cdrom apt-cdrom.cc)
add_executable(apt-helper apt-helper.cc)
add_executable(apt-sortpkgs apt-sortpkgs.cc)
add_executable(apt-extracttemplates apt-extracttemplates.cc)
add_executable(apt-internal-solver apt-internal-solver.cc)
add_executable(apt-dump-solver apt-dump-solver.cc)
add_executable(apt-internal-planner apt-internal-planner.cc)
add_vendor_file(OUTPUT apt-key
                INPUT apt-key.in
                MODE 755
                VARIABLES keyring-filename
                          keyring-removed-filename
                          keyring-master-filename
                          keyring-uri keyring-package)


# Link the executables against the libraries
target_link_libraries(apt apt-pkg apt-private)
target_link_libraries(apt-cache apt-pkg apt-private)
target_link_libraries(apt-get apt-pkg apt-private)
target_link_libraries(apt-config apt-pkg apt-private)
target_link_libraries(apt-cdrom apt-pkg apt-private)
target_link_libraries(apt-helper apt-pkg apt-private)
target_link_libraries(apt-mark apt-pkg apt-private)
target_link_libraries(apt-sortpkgs apt-pkg apt-private)
target_link_libraries(apt-extracttemplates apt-pkg apt-private)
target_link_libraries(apt-internal-solver apt-pkg apt-private)
target_link_libraries(apt-dump-solver apt-pkg apt-private)
target_link_libraries(apt-internal-planner apt-pkg apt-private)

set_target_properties(apt-dump-solver
                      PROPERTIES RUNTIME_OUTPUT_DIRECTORY solvers
                                 RUNTIME_OUTPUT_NAME dump)
set_target_properties(apt-internal-solver
                      PROPERTIES RUNTIME_OUTPUT_DIRECTORY solvers
                                 RUNTIME_OUTPUT_NAME apt)
set_target_properties(apt-internal-planner
                      PROPERTIES RUNTIME_OUTPUT_DIRECTORY planners
                                 RUNTIME_OUTPUT_NAME apt)

# Install the executables
install(TARGETS apt apt-cache apt-get apt-config apt-cdrom apt-mark apt-sortpkgs
                apt-extracttemplates
        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

install(TARGETS apt-helper RUNTIME DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/apt/)
install(TARGETS apt-dump-solver apt-internal-solver RUNTIME DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/apt/solvers)
install(TARGETS apt-internal-planner RUNTIME DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/apt/planners)

add_links(${CMAKE_INSTALL_LIBEXECDIR}/apt/planners ../solvers/dump planners/dump)
add_links(${CMAKE_INSTALL_LIBEXECDIR}/apt/solvers apt solver3)

# Install the not-to-be-compiled programs
INSTALL(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/apt-key DESTINATION ${CMAKE_INSTALL_BINDIR})

=== debian/changelog ===
apt (2.9.8.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Wed, 14 Aug 2024 17:34:08 +0300

## apt 2.9.9.0nosystemd1

=== CMakeLists.txt ===
--- 
+++ 
@@ -206,7 +206,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "2.9.8ubuntu0.1")
+set(PACKAGE_VERSION "2.9.9")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (2.9.9.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Fri, 18 Oct 2024 22:30:03 +0300

apt (2.9.9) unstable; urgency=medium

  [ Chongyun Lee ]
  * Fix compilation error with clang/libc++ 18

  [ Julian Andres Klode ]
  * Implement 'Pin: source-version <foo>'
  * Fix buffer overflow, stack overflow, exponential complexity in
    apt-ftparchive Contents generation (LP: #2083697)
    - ftparchive: Mystrdup: Add safety check and bump buffer size
    - ftparchive: contents: Avoid exponential complexity and overflows
    - test framework: Improve valgrind support
    - test: Check that apt-ftparchive handles deep paths

  [ Remus-Gabriel Chelu ]
  * Romanian program translation update (Closes: #1080210)

 -- Julian Andres Klode <jak@debian.org>  Thu, 17 Oct 2024 09:41:18 +0200

## apt 2.9.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -206,7 +206,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "2.9.9")
+set(PACKAGE_VERSION "2.9.10")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (2.9.10) unstable; urgency=medium

  [ Rafael Marian ]
  * Fixed missing spaces in apt-mark(8) (Closes: #959854)
  * Update manual link in apt-secure(8) (Closes: #1050616)
  * Fix misspeling in italian apt --help (Closes: #967973)

  [ David Kalnischkies ]
  * Ignore pending input before confirmation prompts (Closes: #1082956)
  * Show prompt reply if input is from non-terminal

  [ Julian Andres Klode ]
  * extracttar: Move large buffer to heap for valgrind

  [ Christopher Bock ]
  * apt-patterns(7): document recommends

  [ Raziel Anarki ]
  * Support --target-release in `apt list`

 -- Julian Andres Klode <jak@debian.org>  Tue, 22 Oct 2024 18:47:04 +0200

## apt 2.9.10.0nosystemd1

=== debian/changelog ===
apt (2.9.10.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Thu, 24 Oct 2024 17:57:51 +0300

## apt 2.9.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -206,7 +206,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "2.9.10")
+set(PACKAGE_VERSION "2.9.11")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (2.9.11) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Various refactorings to the 3.0 solver
  * Remove ftp, rsh, ssh methods (disabled since 1.8)
  * Apply messaging fixes from Robert Krátký
  * Fix keeping back removals of obsolete packages (LP: #2078720)
  * Return an error if ResolveByKeep() is unsuccessful (LP: #2078720)
  * Move apt-extracttemplates to /usr/lib/apt in 'apt' package
  * json: Add "options" array to JSON hooks; adjust test cases accordingly

  [ наб ]
  * Refactor buffers into std::array and bump sizes, improving performance:
    - Bump various buffer sizes to the default APT_BUFFER_SIZE
    - Turn char[APT_BUFFER_SIZE] buffers into std::array<char, APT_BUFFER_SIZE>
    - Turn std::unique_ptr<char[]/std::array<char>>(APT_BUFFER_SIZE) buffers into std::array<char, APT_BUFFER_SIZE>
    - dpkgpm: use sysconf(_SC_GETPW_R_SIZE_MAX)-sized + growing buffer for getpwuid_r() instead of 255
    - dpkgpm: use std::array<unsigned char, APT_BUFFER_SIZE> for I/O copy buffers
  * File reading changes, fixing static line size limitations:
    - dpkgpm: lift out CopyIndented() and make_unique_*() for FILEs; use getline() for reading lines instead of 1k buffer
    - dpkgpm: use getline() for Apport var/crash lines
    - dpkgpm: fdopen() failing doesn't close the fd
  * Only run valgrind in tests if valgrind available on host
  * ReportMirrorFailureToCentral: fix use-after-free
  * Non-functional changes:
    - Replace constant-size never-reallicated getservbyport_r() std::vector buffer with std::array
    - FileFd::Open: don't needlessly copy filename in three-arg constructor
    - Replace std::bind with lambdas
    - Turn unique_ptr<decltype(fclose and free)> into real deleter types (warnings now, UB in C++20)
    - dpkgpm: append ":$printarchitecture" instead of ':'+${#printarchitecture} to package name
    - Prepare for APT::StringView -> std::string_view

  [ Américo Monteiro ]
  * Portuguese manpages translation update (Closes: #1086336)

  [ Miroslav Kure ]
  * Czech program translation update (Closes: #1087220)

 -- Julian Andres Klode <jak@debian.org>  Thu, 14 Nov 2024 18:29:35 +0100

## apt 2.9.12.0nosystemd1

=== CMakeLists.txt ===
--- 
+++ 
@@ -206,7 +206,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "2.9.11")
+set(PACKAGE_VERSION "2.9.12")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (2.9.12.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Tue, 19 Nov 2024 14:40:11 +0200

apt (2.9.12) unstable; urgency=medium

  [ наб ]
  * More refactorings for string_view
  * Provide a DEFER() macro for cleanup of local variables

  [ Julian Andres Klode ]
  * string_view: Include missing headers, fixes rust-rust-apt failure
  * Handle Retry-After by default

  [ Felix Moessbauer ]
  * http: use Retry-After HTTP header to optimize retries
  * http: add test for Retry-After handling

 -- Julian Andres Klode <jak@debian.org>  Mon, 18 Nov 2024 15:03:10 +0100

=== debian/tests/control ===
Tests: pkg-config-test
Restrictions: superficial
Depends: libapt-pkg-dev, pkg-config, g++

Tests: run-tests
Restrictions: allow-stderr
Depends: @, @builddeps@, dpkg (>= 1.20.8), fakeroot, wget, stunnel4, lsof, db-util,
         gnupg (>= 2) | gnupg2, gnupg1 | gnupg (<< 2),
         gpgv (>= 2) | gpgv2, gpgv1 | gpgv (<< 2),
         jq,
         libfile-fcntllock-perl, python3-apt, aptitude,
         valgrind-if-available, gdb-minimal | gdb

## apt 2.9.14

=== debian/changelog ===
apt (2.9.14) unstable; urgency=medium

  [ Julian Andres Klode ]
  * test: Do not fail if valgrind is not available
  * test: Handle gpgv-sq differeces and test with it
  * apt-key: Prefer gpgv-sq if installed

  [ Frans Spiesschaert ]
  * Dutch program translation update (Closes: #1087458)
  * Dutch manpages translation update (Closes: #1087461)

  [ Алексей Шилин ]
  * Russian program translation update (Closes: #1087804)

  [ Luca Vercelli ]
  * Italian program translation update (Closes: #1081992)

  [ David Kalnischkies ]
  * Fixes for several compile-time warnings:
    - Acknowledge non-erase usage of remove_if for volatile sources
    - Fix expired std::string usage in APT::StringView testcase
    - Add a virtual destructor to private CacheSet Matcher
    - Avoid unnormalized paths for CMake install destinations
    - Tag hidden acquire classes as final for devirtualization
  * Support uncompressed indexes from partial file:/ mirrors, and
    other fixes for the acquire system:
    - Show hashes calculated by main thread in error messages
    - Alternatively calculate alternative file hashes in file method
    - Rewrite hidden config option checker for more patterns
    - Allow AutoDetectProxy to work with more than just http(s)
    - Do not assume mirror-URIs end in a filename causing a hang
    - Do not change UsedMirror on local copy of InRelease
    - Clear previous ignored errors before processing acquire item again
    - Never consider file/copy/cdrom sources bad sites due to errors
    - Allow HashSum mismatches to fallback to other mirrors
    - Look at non by-hash paths in copy and file methods

 -- Julian Andres Klode <jak@debian.org>  Fri, 22 Nov 2024 17:13:23 +0100

apt (2.9.13) unstable; urgency=medium

  * Add a --comment option to record Comment: in history
  * Hardening: Add -Wp,-D_GLIBCXX_ASSERTIONS to CXXFLAGS to enable bounds
    checking for all STL containers.
  * patterns: Avoid out-of-bounds std::string_view read.
    We only pass NUL-terminated strings to the function, and the code expects
    that but we pass through an interface which doesn't guarantee that, so
    we trigger an index < size() assertion when accessing the terminating
    NUL byte when compiled with -Wp,-D_GLIBCXX_ASSERTIONS.
  * ftparchive: Remove fixed size buffers on trusted inputs (LP: #2087848)
    - ftparchive: override: Remove fixed-size line buffers in override files
    - ftparchive: cachedb: Remove 600-byte key (and hence file path) limit
    - ftparchive: writer: Remove line length limit on file lists
  * tests: Temporarily disable valgrind-if-available on armhf and ppc64el
    to avoid having to wait for a new valgrind without those architectures

 -- Julian Andres Klode <jak@debian.org>  Wed, 20 Nov 2024 15:59:46 +0100

## apt 2.9.14.0nosystemd1

=== CMakeLists.txt ===
--- 
+++ 
@@ -85,6 +85,7 @@
 add_optional_compile_options(Wsuggest-override)
 add_optional_compile_options(Werror=suggest-override)
 add_optional_compile_options(Werror=return-type)
+add_optional_compile_options(Wp,-D_GLIBCXX_ASSERTIONS)
 # apt-ftparchive dependencies
 find_package(Berkeley REQUIRED)
 if (BERKELEY_FOUND)
@@ -206,7 +207,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "2.9.12")
+set(PACKAGE_VERSION "2.9.14")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== methods/CMakeLists.txt ===
# Create the executable targets
include_directories($<$<BOOL:${SECCOMP_FOUND}>:${SECCOMP_INCLUDE_DIR}>)
link_libraries(apt-pkg $<$<BOOL:${SECCOMP_FOUND}>:${SECCOMP_LIBRARIES}>)

add_library(connectlib OBJECT connect.cc rfc2553emu.cc)

add_executable(file file.cc)
add_executable(copy copy.cc)
add_executable(store store.cc)
add_executable(gpgv gpgv.cc)
add_executable(cdrom cdrom.cc)
add_executable(http http.cc basehttp.cc $<TARGET_OBJECTS:connectlib>)
add_executable(mirror mirror.cc)
add_executable(rred rred.cc)

if (HAVE_GNUTLS)
  target_compile_definitions(connectlib PRIVATE ${GNUTLS_DEFINITIONS})
  target_include_directories(connectlib PRIVATE ${GNUTLS_INCLUDE_DIR})
endif()
target_include_directories(http PRIVATE $<$<BOOL:${SYSTEMD_FOUND}>:${SYSTEMD_INCLUDE_DIRS}>)

# Additional libraries to link against for networked stuff
target_link_libraries(http $<$<BOOL:${GNUTLS_FOUND}>:${GNUTLS_LIBRARIES}> $<$<BOOL:${SYSTEMD_FOUND}>:${SYSTEMD_LIBRARIES}>)

target_link_libraries(rred apt-private)

# Install the library
install(TARGETS file copy store gpgv cdrom http rred mirror
        RUNTIME DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/apt/methods)

add_links(${CMAKE_INSTALL_LIBEXECDIR}/apt/methods mirror mirror+http mirror+https mirror+file mirror+copy)


add_links(${CMAKE_INSTALL_LIBEXECDIR}/apt/methods http https)

=== debian/changelog ===
apt (2.9.14.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Fri, 22 Nov 2024 23:32:01 +0200

## apt 2.9.16

=== debian/changelog ===
apt (2.9.16) unstable; urgency=medium

  * Avoid extension check for .gpg in Signed-By keyrings (Closes: #1088656)
    A warning for extensions other than .pgp and .gpg will be introduced at
    a later point, but not now as we try to be bug compatible.

 -- Julian Andres Klode <jak@debian.org>  Fri, 29 Nov 2024 09:45:11 +0100

apt (2.9.15) unstable; urgency=medium

  [ David Kalnischkies ]
  * Collect unprinted Ign errors for display in Err output

  [ Julian Andres Klode ]
  * Stop using apt-key for signature verification
    - test-apt-cdrom: Hande assert-pubkey-algo like other gpgv messages
    - Fix accidental ABI break in debListParser::ParseDepends
    - tagfile: Avoid uninitialized variable warnings
    - gpgv: Generalize apt_error to apt_msg(), add apt_warning()
    - Do not implode key file name vector for calling gpgv
    - apt-key: Only cat supported keyrings into the merged one
    - apt-key: Temporarily accept 'pub' as an extension for binary gpg keys
    - gpgv: Explictly pass all the keyrings to gpgv from apt
    - gpgv: Use std::string instead of const char *
    - strutl: Add Base64Decode
    - gpgv: Verify keyrings and dearmor outside apt-key
    - Directly call gpgv instead of apt-key
    - gpgv: Add direct support for --assert-pubkey-algo
    - fileutl: Use execvp() in Popen() instead of execv()
    - Detect working gpgv using gpgv --dump-options

 -- Julian Andres Klode <jak@debian.org>  Thu, 28 Nov 2024 19:33:03 +0100
